GNU bug report logs - #16941
[PATCH] tests/mb-non-UTF8-performance: increase timeout

Previous Next

Package: grep;

Reported by: Andreas Schwab <schwab <at> suse.de>

Date: Wed, 5 Mar 2014 16:10:02 UTC

Severity: normal

Tags: patch

Done: Jim Meyering <jim <at> meyering.net>

Bug is archived. No further changes may be made.

To add a comment to this bug, you must first unarchive it, by sending
a message to control AT debbugs.gnu.org, with unarchive 16941 in the body.
You can then email your comments to 16941 AT debbugs.gnu.org in the normal way.

Toggle the display of automated, internal messages from the tracker.

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to bug-grep <at> gnu.org:
bug#16941; Package grep. (Wed, 05 Mar 2014 16:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Schwab <schwab <at> suse.de>:
New bug report received and forwarded. Copy sent to bug-grep <at> gnu.org. (Wed, 05 Mar 2014 16:10:03 GMT) Full text and rfc822 format available.

Message #5 received at submit <at> debbugs.gnu.org (full text, mbox):

From: Andreas Schwab <schwab <at> suse.de>
To: bug-grep <at> gnu.org
Subject: [PATCH] tests/mb-non-UTF8-performance: increase timeout
Date: Wed, 05 Mar 2014 17:09:06 +0100
---
 tests/mb-non-UTF8-performance | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/mb-non-UTF8-performance b/tests/mb-non-UTF8-performance
index 282f0c4..9b581a3 100755
--- a/tests/mb-non-UTF8-performance
+++ b/tests/mb-non-UTF8-performance
@@ -26,7 +26,7 @@ require_JP_EUC_locale_
 yes $(printf '%078d' 0) | head -50000 > in || framework_failure_
 
 # Expect no match, i.e., exit status of 1.  Anything else is an error.
-timeout 4 grep -i foobar in; st=$?
+timeout 50 grep -i foobar in; st=$?
 test $st = 1 || fail=1
 
 Exit $fail
-- 
1.9.0

-- 
Andreas Schwab, SUSE Labs, schwab <at> suse.de
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."




Information forwarded to bug-grep <at> gnu.org:
bug#16941; Package grep. (Thu, 06 Mar 2014 06:59:02 GMT) Full text and rfc822 format available.

Message #8 received at 16941 <at> debbugs.gnu.org (full text, mbox):

From: Jim Meyering <jim <at> meyering.net>
To: Andreas Schwab <schwab <at> suse.de>
Cc: 16941 <at> debbugs.gnu.org
Subject: Re: bug#16941: [PATCH] tests/mb-non-UTF8-performance: increase timeout
Date: Wed, 5 Mar 2014 22:57:39 -0800
On Wed, Mar 5, 2014 at 8:09 AM, Andreas Schwab <schwab <at> suse.de> wrote:
> ---
>  tests/mb-non-UTF8-performance | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/tests/mb-non-UTF8-performance b/tests/mb-non-UTF8-performance
> index 282f0c4..9b581a3 100755
> --- a/tests/mb-non-UTF8-performance
> +++ b/tests/mb-non-UTF8-performance
> @@ -26,7 +26,7 @@ require_JP_EUC_locale_
>  yes $(printf '%078d' 0) | head -50000 > in || framework_failure_
>
>  # Expect no match, i.e., exit status of 1.  Anything else is an error.
> -timeout 4 grep -i foobar in; st=$?
> +timeout 50 grep -i foobar in; st=$?
>  test $st = 1 || fail=1

Thanks.  For what environment is that useful?




Information forwarded to bug-grep <at> gnu.org:
bug#16941; Package grep. (Thu, 06 Mar 2014 08:16:02 GMT) Full text and rfc822 format available.

Message #11 received at 16941 <at> debbugs.gnu.org (full text, mbox):

From: Andreas Schwab <schwab <at> suse.de>
To: Jim Meyering <jim <at> meyering.net>
Cc: 16941 <at> debbugs.gnu.org
Subject: Re: bug#16941: [PATCH] tests/mb-non-UTF8-performance: increase timeout
Date: Thu, 06 Mar 2014 09:15:41 +0100
Jim Meyering <jim <at> meyering.net> writes:

> On Wed, Mar 5, 2014 at 8:09 AM, Andreas Schwab <schwab <at> suse.de> wrote:
>> ---
>>  tests/mb-non-UTF8-performance | 2 +-
>>  1 file changed, 1 insertion(+), 1 deletion(-)
>>
>> diff --git a/tests/mb-non-UTF8-performance b/tests/mb-non-UTF8-performance
>> index 282f0c4..9b581a3 100755
>> --- a/tests/mb-non-UTF8-performance
>> +++ b/tests/mb-non-UTF8-performance
>> @@ -26,7 +26,7 @@ require_JP_EUC_locale_
>>  yes $(printf '%078d' 0) | head -50000 > in || framework_failure_
>>
>>  # Expect no match, i.e., exit status of 1.  Anything else is an error.
>> -timeout 4 grep -i foobar in; st=$?
>> +timeout 50 grep -i foobar in; st=$?
>>  test $st = 1 || fail=1
>
> Thanks.  For what environment is that useful?

For m68k-suse-linux.

Andreas.

-- 
Andreas Schwab, SUSE Labs, schwab <at> suse.de
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."




Information forwarded to bug-grep <at> gnu.org:
bug#16941; Package grep. (Mon, 10 Mar 2014 05:13:02 GMT) Full text and rfc822 format available.

Message #14 received at 16941 <at> debbugs.gnu.org (full text, mbox):

From: Jim Meyering <jim <at> meyering.net>
To: Andreas Schwab <schwab <at> suse.de>
Cc: 16941 <at> debbugs.gnu.org
Subject: Re: bug#16941: [PATCH] tests/mb-non-UTF8-performance: increase timeout
Date: Sun, 9 Mar 2014 22:12:01 -0700
[Message part 1 (text/plain, inline)]
On Thu, Mar 6, 2014 at 12:15 AM, Andreas Schwab <schwab <at> suse.de> wrote:
> Jim Meyering <jim <at> meyering.net> writes:
>
>> On Wed, Mar 5, 2014 at 8:09 AM, Andreas Schwab <schwab <at> suse.de> wrote:
>>> ---
>>>  tests/mb-non-UTF8-performance | 2 +-
>>>  1 file changed, 1 insertion(+), 1 deletion(-)
>>>
>>> diff --git a/tests/mb-non-UTF8-performance b/tests/mb-non-UTF8-performance
>>> index 282f0c4..9b581a3 100755
>>> --- a/tests/mb-non-UTF8-performance
>>> +++ b/tests/mb-non-UTF8-performance
>>> @@ -26,7 +26,7 @@ require_JP_EUC_locale_
>>>  yes $(printf '%078d' 0) | head -50000 > in || framework_failure_
>>>
>>>  # Expect no match, i.e., exit status of 1.  Anything else is an error.
>>> -timeout 4 grep -i foobar in; st=$?
>>> +timeout 50 grep -i foobar in; st=$?
>>>  test $st = 1 || fail=1
>>
>> Thanks.  For what environment is that useful?
>
> For m68k-suse-linux.

Thanks again for the patch, but if I were to use it, the timeout
would be so long that the test would mistakenly pass
(the timeout would not trigger) even if the bug were reintroduced.
Instead, I've rewritten the test to make it less sensitive to the
actual hardware used to run it.  Please let me know if this works
for you:
[k.txt (text/plain, attachment)]

Reply sent to Jim Meyering <jim <at> meyering.net>:
You have taken responsibility. (Mon, 10 Mar 2014 17:35:03 GMT) Full text and rfc822 format available.

Notification sent to Andreas Schwab <schwab <at> suse.de>:
bug acknowledged by developer. (Mon, 10 Mar 2014 17:35:04 GMT) Full text and rfc822 format available.

Message #19 received at 16941-done <at> debbugs.gnu.org (full text, mbox):

From: Jim Meyering <jim <at> meyering.net>
To: Andreas Schwab <schwab <at> suse.de>
Cc: 16941-done <at> debbugs.gnu.org
Subject: Re: bug#16941: [PATCH] tests/mb-non-UTF8-performance: increase timeout
Date: Mon, 10 Mar 2014 10:34:11 -0700
On Sun, Mar 9, 2014 at 10:12 PM, Jim Meyering <jim <at> meyering.net> wrote:
> Thanks again for the patch, but if I were to use it, the timeout
> would be so long that the test would mistakenly pass
> (the timeout would not trigger) even if the bug were reintroduced.
> Instead, I've rewritten the test to make it less sensitive to the
> actual hardware used to run it.  Please let me know if this works
> for you:

I've pushed that change.




Information forwarded to bug-grep <at> gnu.org:
bug#16941; Package grep. (Wed, 26 Mar 2014 14:22:02 GMT) Full text and rfc822 format available.

Message #22 received at 16941 <at> debbugs.gnu.org (full text, mbox):

From: Andreas Schwab <schwab <at> suse.de>
To: Jim Meyering <jim <at> meyering.net>
Cc: 16941 <at> debbugs.gnu.org
Subject: Re: bug#16941: [PATCH] tests/mb-non-UTF8-performance: increase timeout
Date: Wed, 26 Mar 2014 15:21:45 +0100
Jim Meyering <jim <at> meyering.net> writes:

> Thanks again for the patch, but if I were to use it, the timeout
> would be so long that the test would mistakenly pass
> (the timeout would not trigger) even if the bug were reintroduced.
> Instead, I've rewritten the test to make it less sensitive to the
> actual hardware used to run it.  Please let me know if this works
> for you:

FAIL: mb-non-UTF8-performance
=============================

hi_res_time_ is a function
hi_res_time_ () 
{ 
    date +%s.%N
}


Andreas.

-- 
Andreas Schwab, SUSE Labs, schwab <at> suse.de
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."




Information forwarded to bug-grep <at> gnu.org:
bug#16941; Package grep. (Wed, 26 Mar 2014 16:28:02 GMT) Full text and rfc822 format available.

Message #25 received at 16941 <at> debbugs.gnu.org (full text, mbox):

From: Jim Meyering <jim <at> meyering.net>
To: Andreas Schwab <schwab <at> suse.de>
Cc: 16941 <at> debbugs.gnu.org
Subject: Re: bug#16941: [PATCH] tests/mb-non-UTF8-performance: increase timeout
Date: Wed, 26 Mar 2014 09:27:14 -0700
On Wed, Mar 26, 2014 at 7:21 AM, Andreas Schwab <schwab <at> suse.de> wrote:
> Jim Meyering <jim <at> meyering.net> writes:
>
>> Thanks again for the patch, but if I were to use it, the timeout
>> would be so long that the test would mistakenly pass
>> (the timeout would not trigger) even if the bug were reintroduced.
>> Instead, I've rewritten the test to make it less sensitive to the
>> actual hardware used to run it.  Please let me know if this works
>> for you:
>
> FAIL: mb-non-UTF8-performance
> =============================
>
> hi_res_time_ is a function
> hi_res_time_ ()
> {
>     date +%s.%N
> }

Hi Andreas,
Thank you for the report.
I presume you have found a way to make that test fail.
Would you please attach the tests/test-suite.log file that
was created from a failing "make check" run?

Also, did your test include this change?

    tests: avoid false-positive failure on some AMD CPUs
    * tests/mb-non-UTF8-performance: Avoid false-positive failure
    when run on certain AMD processors.




Information forwarded to bug-grep <at> gnu.org:
bug#16941; Package grep. (Wed, 26 Mar 2014 16:30:02 GMT) Full text and rfc822 format available.

Message #28 received at 16941 <at> debbugs.gnu.org (full text, mbox):

From: Andreas Schwab <schwab <at> suse.de>
To: Jim Meyering <jim <at> meyering.net>
Cc: 16941 <at> debbugs.gnu.org
Subject: Re: bug#16941: [PATCH] tests/mb-non-UTF8-performance: increase timeout
Date: Wed, 26 Mar 2014 17:29:45 +0100
Jim Meyering <jim <at> meyering.net> writes:

> Would you please attach the tests/test-suite.log file that
> was created from a failing "make check" run?

See above.

Andreas.

-- 
Andreas Schwab, SUSE Labs, schwab <at> suse.de
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."




Information forwarded to bug-grep <at> gnu.org:
bug#16941; Package grep. (Thu, 27 Mar 2014 01:30:03 GMT) Full text and rfc822 format available.

Message #31 received at 16941 <at> debbugs.gnu.org (full text, mbox):

From: Jim Meyering <jim <at> meyering.net>
To: Andreas Schwab <schwab <at> suse.de>
Cc: 16941 <at> debbugs.gnu.org
Subject: Re: bug#16941: [PATCH] tests/mb-non-UTF8-performance: increase timeout
Date: Wed, 26 Mar 2014 18:28:46 -0700
On Wed, Mar 26, 2014 at 9:29 AM, Andreas Schwab <schwab <at> suse.de> wrote:
> Jim Meyering <jim <at> meyering.net> writes:
>
>> Would you please attach the tests/test-suite.log file that
>> was created from a failing "make check" run?
>
> See above.

What you included above,

> hi_res_time_ is a function
> hi_res_time_ ()
> {
>     date +%s.%N
> }

is identical to what I see in the log from a passing run of that test.
Please include the entire tests/mb-non-UTF8-performance.log file,
or the tests/test-suite.log file, and I'll have a chance of understanding
the problem.




Information forwarded to bug-grep <at> gnu.org:
bug#16941; Package grep. (Thu, 27 Mar 2014 11:37:01 GMT) Full text and rfc822 format available.

Message #34 received at 16941 <at> debbugs.gnu.org (full text, mbox):

From: Andreas Schwab <schwab <at> suse.de>
To: Jim Meyering <jim <at> meyering.net>
Cc: 16941 <at> debbugs.gnu.org
Subject: Re: bug#16941: [PATCH] tests/mb-non-UTF8-performance: increase timeout
Date: Thu, 27 Mar 2014 12:36:46 +0100
Jim Meyering <jim <at> meyering.net> writes:

> Please include the entire tests/mb-non-UTF8-performance.log file,

$ cat tests/mb-non-UTF8-performance.log
hi_res_time_ is a function
hi_res_time_ () 
{ 
    date +%s.%N
}

Andreas.

-- 
Andreas Schwab, SUSE Labs, schwab <at> suse.de
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."




bug archived. Request was from Debbugs Internal Request <help-debbugs <at> gnu.org> to internal_control <at> debbugs.gnu.org. (Fri, 25 Apr 2014 11:24:04 GMT) Full text and rfc822 format available.

This bug report was last modified 10 years and 19 days ago.

Previous Next


GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.